> For the complete documentation index, see [llms.txt](https://docs.picklemods.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.picklemods.com/paid-resources/firefighter-job/installation.md).

# Installation

## What do I need?

Use a supported framework or make it work with yours via the bridge folder.

[Ox Lib](https://github.com/overextended/ox_lib/releases/) (Required, Works with any server).

## Installation

:warning:Make sure you rename the folder from pickle\_firefighterjob-main to pickle\_firefighterjob prior to installing.:warning:

If you miss this step the script will not function as expected.

Navigate to the "\_INSTALL" folder.

Import the images in the \_INSTALL/images folder to your inventory image folder. (Varies on framework)

Run the SQL for ESX, or into the shared/items.lua for QB-Core.

{% tabs %}
{% tab title="ESX Job & Items" %}
Run the SQL for ESX Jobs, and Items located in the \_INSTALL Folder.
{% endtab %}

{% tab title="QBCORE Job" %}

```lua
['firefighter'] = {
    label = 'Firefighter',
    defaultDuty = true,
    offDutyPay = false,
    grades = {
        ['0'] = {
            name = 'Recruit',
            payment = 0
        },
        ['1'] = {
            name = 'Operator',
            payment = 0
        },
        ['2'] = {
            name = 'Company Officer',
            payment = 0
        },
        ['3'] = {
            name = 'Chief',
            isboss = true, 
            bankAuth = true,
            payment = 0
        },
    },
},
```

{% endtab %}

{% tab title="qb-inventory" %}

```lua
["watertank"] 					= {["name"] = "watertank",  	     		        ["label"] = "Water Tank",	 		    ["weight"] = 1, 		["type"] = "item", 		["image"] = "watertank.png", 				["unique"] = false, 	    ["useable"] = true, 	["shouldClose"] = true,   	["combinable"] = nil,   ["description"] = ""},
```

{% endtab %}

{% tab title="ox\_inventory" %}

```lua
['watertank'] = {
    label = 'Water Tank',
    weight = 1,
    stack = true,
    close = true,
    description = nil
},
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.picklemods.com/paid-resources/firefighter-job/installation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
